# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'mailMapper/version'

Gem::Specification.new do |spec|
  spec.name          = "mailMapper"
  spec.version       = MailMapper::VERSION
  spec.authors       = ["oscaryunue"]
  spec.email         = ["oscaryunue@gmail.com"]

  spec.summary       = %q{Map mails from text files and count occurrences}
  spec.description   = %q{Search and count emails from a text file, Ex. MailMapper.find("source", option=int); option 0 «default value» returns a hash with domain-key counter-value, option 1 returns a hash for user@mail -> counter-value, option 2 returns an array with all mails }
  spec.homepage      = "https://rubygems.org/profiles/oscaryunue"
  spec.license       = "MIT"

  # Prevent pushing this gem to RubyGems.org by setting 'allowed_push_host', or
  # delete this section to allow pushing this gem to any host.
  #if spec.respond_to?(:metadata)
   # spec.metadata['allowed_push_host'] = "TODO: Set to 'http://mygemserver.com'"
  #else
   # raise "RubyGems 2.0 or newer is required to protect against public gem pushes."
  #end

  spec.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.11"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec", "~> 3.0"
end
